Subject: Re. Winter losses

From: TTOWNSE@undefined
Date: Fri, 10 May 1996 21:58:23 GMT

Here in Alberta the reports are from 15%-85% loss, it was indeed a hard winter,
some mites, some two year old queens, some off shore queens, some canola feed,
mostly just a long winter after a poor summer, now its a terrible spring.
Go figure, just when the honey is worth something??????